org.apache.xerces.impl.dtd

## Class DTDGrammar.QNameHashtable

- java.lang.Object
- - org.apache.xerces.impl.dtd.DTDGrammar.QNameHashtable

Enclosing class:
  DTDGrammar

    protected static final class DTDGrammar.QNameHashtable
    extends java.lang.Object

A simple Hashtable implementation that takes a tuple (String, String) as the key and a int as value.

Author:
  Eric Ye, IBM, Andy Clark, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
`protected` `QNameHashtable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `get(java.lang.String key)` Returns the value associated with the specified key tuple.
`void` `put(java.lang.String key, int value)` Associates the given value with the specified key tuple.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QNameHashtable

    protected QNameHashtable()

### Method Detail

#### put

    public void put(java.lang.String key,
                    int value)

Associates the given value with the specified key tuple.

#### get

    public int get(java.lang.String key)

Returns the value associated with the specified key tuple.